<div class="requestable-services-wrapper" [attr.role]="'table'">
  <div class="columns is-mobile is-marginless requestable-services-header" [attr.role]="'rowheader'">
    <div class="column is-1"[attr.role]="'columnheader'">
      <span class="sr-only" i18n="@@userService.openclose">Open/Close row</span>
    </div>
    <div class="column is-5"[attr.role]="'columnheader'">
      <span class="column-name" i18n="@@userService.name">Name</span>
    </div>
    <div class="column is-4" [attr.role]="'columnheader'">
      <span class="column-name">Service</span>
    </div>
    <div class="column is-2 has-text-right" [attr.role]="'columnheader'">
      <span class="sr-only" i18n="@@userService.selection">Selection</span>
    </div>
  </div>
  <div class="requestable-services-content" [attr.role]="'rowgroup'">
    <ng-container *ngFor="let resource of requestableResources; let index = index; let odd = odd">
      <div [ngClass]="{'is-open': isRowOpened(index, openedRow)}" class="columns is-mobile is-marginless" *ngIf="resource.datasetTitle" [attr.role]="'row'">
        <div class="column is-2-touch is-1-desktop vcenter-column has-text-centered is-clickable"
          (click)="toggleRow(index, openedRow)" [attr.role]="'cell'">
          <span [ngClass]="{'is-open': isRowOpened(index, openedRow)}">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
              <path
                d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                class="brandcolor" />
              <path
                d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                class="brandcolor" />
            </svg>
          </span>
        </div>
        <div class="column is-7-touch is-5-desktop" [attr.role]="'cell'">
          <span *ngIf="!resource.datasetTitle">{{ resource.datasetName }}</span>
          <a *ngIf="resource.datasetTitle" [routerLink]="['/', AppRoutes.datasets.uri, resource.datasetSlug]">
            {{ resource.datasetTitle }}
          </a>
        </div>
        <div class="column is-hidden-touch is-4-desktop" [attr.role]="'cell'">
          <span>{{ getResourceServices(resource) }}</span>
        </div>
        <div class="column is-3-touch is-2-desktop vcenter-column has-text-right" [attr.role]="'cell'">
          <div class="field">
            <input class="is-checkradio is-small" [id]="resource.datasetId + '_all'" type="checkbox"
              [name]="resource.datasetName + '_all'" (click)="toggleResource(resource.datasetId, requestableResources)"
              [checked]="allServicesAreSelected(resource.datasetId, requestableResources)"
              [indeterminate]="isUndeterminated(resource.datasetId, requestableResources)" [disabled]="isLoading">
            <label [for]="resource.datasetId + '_all'"></label>
          </div>
        </div>
      </div>

      <div class="columns is-marginless is-multiline service-details" [ngClass]="{'is-open': isRowOpened(index, openedRow)}"
        *ngIf="isRowOpened(index, openedRow)">
        <div class="column is-12 is-paddingless" *ngFor="let service of resource.services;">
          <div class="columns is-marginless is-mobile services-columns">
            <div class="column is-7-touch is-offset-2-touch is-5-desktop is-offset-1-desktop service-name-column">
              <span>{{ service.name }}</span>
            </div>
            <div class="column is-hidden-touch is-4-desktop"></div>
            <div class="column is-3-touch is-2-desktop has-text-right vcenter-column">
              <div class="field">
                <input class="is-checkradio is-small" [id]="resource.datasetId + '_' + service.id" type="checkbox"
                  [name]="resource.datasetName + '_' + service.name" [(ngModel)]="service.selected"
                  [disabled]="isLoading">
                <label [for]="resource.datasetId + '_' + service.id"></label>
              </div>
            </div>
          </div>
        </div>
      </div>
    </ng-container>
  </div>
</div>
<div class="action-button-wrapper">
  <button type="button" class="button button-gl" [ngClass]="{'is-loading': isLoading}"
    [disabled]="selectedResources(requestableResources).length <= 0 || isLoading" (click)="requestAccess()"
    i18n="@@userService.sendRequest">
    Send my request
  </button>
</div>
